﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Person" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Person Common Validations</title>


<rule context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
               RETURN VALIDATION MESSSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410063" diagnostics="DVR.ATO.GEN.410063" test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203" test="not(
                        matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                        matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                        matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                        matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204" test="not(
                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                        matches(.,'^(MR|MRS|MISS|MS)$','i'))"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("hyphen hyphen","'’","  "))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428265" diagnostics="DVR.ATO.GEN.428265" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("hyphen hyphen","'’","  "))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428263" diagnostics="DVR.ATO.GEN.428263" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK)
            AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
               RETURN VALIDATION MESSSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040" test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"></assert>
<!--
          IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
          RETURN VALIDATION MESSAGE
          ENDIF
        -->

<assert  id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200" test="not(
                  matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                  matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                  matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                  matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201" test="not(
                  matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                  matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                  matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                  matches(.,'^(MR|MRS|MISS|MS)$','i'))"></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK)
            AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410131" diagnostics="DVR.ATO.GEN.410131" test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("hyphen hyphen","'’","  ") )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428267" diagnostics="DVR.ATO.GEN.428267" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208" test="not(
                  matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                  matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                  matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                  matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209" test="not(
                  matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                  matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                  matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                  matches(.,'^(MR|MRS|MISS|MS)$','i'))"></assert>
</rule>
</pattern>