﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">
  <!-- ========= DVR.ATO.MONEY ========= -->

  
  <diagnostic id="DVR.ATO.STIC.000033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000033</Code>
      <Description>The Individual's year of birth must not be earlier than 1900</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.W00001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.W00001</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430318">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430318</Code>
      <Description>ABN in context must be a valid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438030</Code>
      <Description>Entity identifier scheme for Intermediary must be"http://www.ato.gov.au/abn"</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428263">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000427</Code>
      <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410063</Code>
      <Description>Given Name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000437</Code>
      <Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000438</Code>
      <Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410040</Code>
      <Description>Family name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410200">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000424</Code>
      <Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000426</Code>
      <Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428256">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000409</Code>
      <Description>Suburb/Town/City cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000439</Code>
      <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000408">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000408</Code>
      <Description>'Care of' is not valid for address line 2</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428255">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000407</Code>
      <Description>Address line 2 cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000406">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000406</Code>
      <Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428254">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000405</Code>
      <Description>Address line 1 cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428267">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000451</Code>
      <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410131">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410131</Code>
      <Description>Other Given Name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000001</Code>
      <Description>Invalid Context: Period start and end date must be the same for each duration context</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000002</Code>
      <Description>Invalid context. The number of Intermediary (sender) contexts must be 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000003</Code>
      <Description>Entity identifier scheme for Reporting Party must be"http://www.ato.gov.au/abn"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000004</Code>
      <Description>Entity identifier scheme for SuperFundMember must be "http://www.sbr.gov.au/id"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000005</Code>
      <Description>SuperFund Member must have ABN of Reporting Party (requesting provider)</Description>
      <LongDescription>The Reporting Party ABN in a SuperFund Member context must be the ABN in an Reporting Party (requesting provider) context</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000006</Code>
      <Description>Business name of Intermediary (sender) must be provided.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000007</Code>
      <Description>Business name of Reporting Party (requesting provider) must be provided.</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000008</Code>
      <Description>Request message action required must be provided</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000013</Code>
      <Description>Individual's year of birth must be provided</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000015</Code>
      <Description>Individual's family name must be provided</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000016</Code>
      <Description>Given name must be entered if Other given name is entered</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000019</Code>
      <Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000030</Code>
      <Description>All Individual's date of birth fields must form a valid date</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000027</Code>
      <Description>Invalid Context: Period start date must be the same across all duration contexts</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.SWS001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.SWS001</Code>
      <Description>Invalid context. The number of Reporting Party (requesting provider) contexts must be 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.SWS002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.SWS002</Code>
      <Description>Invalid context. The number of SuperFundMember contexts must be 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410001</Code>
      <Description>Address Line 1 must not contain 'AS ABOVE'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410208">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000449</Code>
      <Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000450</Code>
      <Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.030010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.030010</Code>
      <Description>Suburb/Town/City cannot contain state code</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000026</Code>
      <Description>Suburb/Town/City value exceeds maximum length of 60 characters.</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000014</Code>
      <Description>Individual's year of birth must be equal to or less than the year of the request submission date</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.030004</Code>
      <Description>Individual's account details must not be provided</Description>
      <LongDescription>For validating identity requests, Individual's reporting party account number, USI for Individual's account, and Individual's account status code and date must not be provided</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.030000</Code>
      <Description>Request message action required value must be "VALIDENT" (to validate identity only)</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000034</Code>
      <Description>Individual's given name is required</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000035</Code>
      <Description>Address Line 1 is required if TFN is not provided</Description>
      <LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000036</Code>
      <Description>Suburb/Town/City is required if TFN is not provided</Description>
      <LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000037</Code>
      <Description>Postcode must be present for Australian address if TFN is not provided</Description>
      <LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000038</Code>
      <Description>State must be present for Australian address if TFN is not provided</Description>
      <LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000040</Code>
      <Description>Full date of birth is required if TFN is not provided</Description>
      <LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.STIC.000041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.STIC.000040</Code>
      <Description>Full date of birth is required if TFN is not provided</Description>
      <LongDescription>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
</diagnostics>